PostgreSQL 9.6beta2 Documentation
Prev | Up |  | Next

# CREATE ACCESS METHOD

## Name

CREATE ACCESS METHOD -- define a new access method

## Synopsis

    CREATE ACCESS METHOD name
        TYPE access_method_type
        HANDLER handler_function

## Description

`CREATE ACCESS METHOD` creates a new access method.

The access method name must be unique within the database.

Only superusers can define new access methods.

## Parameters

`name`

  The name of the access method to be created.

`access_method_type`

  This clause specifies type of access method to define. Only `INDEX` is supported at present.

`HANDLER `handler_function``

  `handler_function` is the name of a previously registered function that will be called to retrieve the struct which contains required parameters and functions of access method to the core. The handler function must take single argument of type `internal`, and its return type depends on the type of access method; for `INDEX` access methods, it must be `index_am_handler`.

  See Section 58.1 for index access methods API.

## Examples

Create an access method `heptree` with handler function `heptree_handler`:

    CREATE ACCESS METHOD heptree TYPE INDEX HANDLER heptree_handler;

## Compatibility

`CREATE ACCESS METHOD` is a PostgreSQL extension.

## See Also

DROP ACCESS METHOD, CREATE OPERATOR CLASS, CREATE OPERATOR FAMILY

Prev | Home | Next
COPY | Up | CREATE AGGREGATE